org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmFunctionImportParameter

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmFunctionImportParameter

-     public class EdmFunctionImportParameter
      extends Object

  Objects of this class represent function import parameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmFunctionImportParameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()`
    `EdmFacets` | `getFacets()`
    `EdmMapping` | `getMapping()`
    `String` | `getName()`
    `EdmSimpleTypeKind` | `getType()`
    `void` | `setAnnotations(EdmAnnotationsImpl annotations)`
    `EdmFunctionImportParameter` | `setDocumentation(EdmDocumentation documentation)` Sets the `Documentation` of this `EdmFunctionImportParameter`
    `EdmFunctionImportParameter` | `setFacets(EdmFacets facets)` Sets the `EdmFacets` of this `EdmFunctionImportParameter`
    `EdmFunctionImportParameter` | `setMapping(EdmMapping mapping)` Sets the `EdmMappingImpl` of this `EdmFunctionImportParameter`
    `EdmFunctionImportParameter` | `setMode(String mode)` Sets the mode of this `EdmFunctionImportParameter`
    `EdmFunctionImportParameter` | `setName(String name)` Sets the name of this `EdmFunctionImportParameter`
    `EdmFunctionImportParameter` | `setType(EdmSimpleTypeKind type)` Sets the `EdmSimpleTypeKind` of this `EdmFunctionImportParameter`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmFunctionImportParameter

          public EdmFunctionImportParameter()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        String name of the parameter

    - #### getType

          public EdmSimpleTypeKind getType()

      Returns:
        `EdmSimpleTypeKind` of this parameter

    - #### getFacets

          public EdmFacets getFacets()

      Returns:
        `EdmFacets` of this parameter

    - #### getMapping

          public EdmMapping getMapping()

      Returns:
        `EdmMappingImpl` of this parameter

    - #### setName

          public EdmFunctionImportParameter setName(String name)

      Sets the name of this `EdmFunctionImportParameter`
      Parameters:
        `name` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setMode

          public EdmFunctionImportParameter setMode(String mode)

      Sets the mode of this `EdmFunctionImportParameter`
      Parameters:
        `mode` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setType

          public EdmFunctionImportParameter setType(EdmSimpleTypeKind type)

      Sets the `EdmSimpleTypeKind` of this `EdmFunctionImportParameter`
      Parameters:
        `type` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setFacets

          public EdmFunctionImportParameter setFacets(EdmFacets facets)

      Sets the `EdmFacets` of this `EdmFunctionImportParameter`
      Parameters:
        `facets` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setMapping

          public EdmFunctionImportParameter setMapping(EdmMapping mapping)

      Sets the `EdmMappingImpl` of this `EdmFunctionImportParameter`
      Parameters:
        `mapping` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setDocumentation

          public EdmFunctionImportParameter setDocumentation(EdmDocumentation documentation)

      Sets the `Documentation` of this `EdmFunctionImportParameter`
      Parameters:
        `documentation` -
      Returns:
        `EdmFunctionImportParameter` for method chaining

    - #### setAnnotations

          public void setAnnotations(EdmAnnotationsImpl annotations)

    - #### getAnnotations

          public EdmAnnotations getAnnotations()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.